var ZipString,OrderArray;
function ReOrder(f){
 OrderArray = new Array();
	ZipString = document.getElementById("Flight_ReOrder").getAttribute("ZipString");
	//alert(ZipString);
 if(f == "L")
	//OrderByPrice();
	Order(2);
 else if(f == "F")
	//OrderByDate();
	Order(1);
 else if(f == "T")
	//OrderByDate();
	Order(3);
 else
	//OrderByAirLine();
	Order(0);
}

function Order(n){
 var subStr,NewZip="";
 var str = ZipString.split("@");
 for(var i=0;i<str.length-1;i++){
	subStr = str[i].split("|")[n];
	InsertArray(subStr,i);}
 for(i=0;i<OrderArray.length;i++){
	document.getElementById("Flight_item_"+i).innerHTML = OrderArray[i][2];
	NewZip += str[OrderArray[i][0]]+"@";}
 document.getElementById("Flight_ReOrder").setAttribute("ZipString",NewZip) ;
}

//function OrderByPrice(){
// var subStr,NewZip="";
// var str = ZipString.split("@");
// for(var i=0;i<str.length-1;i++){
//	subStr = str[i].split("|")[2];
//	InsertArray(subStr,i);}
// for(i=0;i<OrderArray.length;i++){
//	document.getElementById("Flight_item_"+i).innerHTML = OrderArray[i][2];
//	NewZip += str[OrderArray[i][0]]+"@";}
// document.getElementById("Flight_ReOrder").setAttribute("ZipString",NewZip) ;
//}
//
//function OrderByDate(){
// var subStr,NewZip="";
// var str = ZipString.split("@");
// for(var i=0;i<str.length-1;i++){
//	subStr = str[i].split("|")[1];
//	InsertArray(subStr,i);}
// for(i=0;i<OrderArray.length;i++){	
//	document.getElementById("Flight_item_"+i).innerHTML = OrderArray[i][2];
//	NewZip += str[OrderArray[i][0]]+"@";}
// document.getElementById("Flight_ReOrder").setAttribute("ZipString",NewZip) ;
//}
//
//function OrderByAirLine(){
// var subStr,NewZip="";
// var str = ZipString.split("@");
// for(var i=0;i<str.length-1;i++){
//	subStr = str[i].split("|")[0];
//	InsertArray(subStr,i);}
// for(i=0;i<OrderArray.length;i++){	  
//	document.getElementById("Flight_item_"+i).innerHTML = OrderArray[i][2];
//	NewZip += str[OrderArray[i][0]]+"@";}
// document.getElementById("Flight_ReOrder").setAttribute("ZipString",NewZip) ;
//}

function InsertArray(str,num){
	//alert(document.getElementById("Flight_item_"+num).innerHTML);
 var oLen = OrderArray.length;
 var pos = -1;
 if(oLen == 0)
	OrderArray[0] = new Array(num,str,document.getElementById("Flight_item_"+num).innerHTML);
 else{
	for(var i=0;i<oLen;i++){
		if(str < OrderArray[i][1]){
			pos = i;
			break;}}
	if(pos == -1)
		OrderArray[oLen] = new Array(num,str,document.getElementById("Flight_item_"+num).innerHTML);
	else{
		OrderArray[oLen] = new Array(OrderArray[oLen-1][0],OrderArray[oLen-1][1],OrderArray[oLen-1][2]);
		for(i=oLen-1;i>pos;i--){
			OrderArray[i] = new Array(OrderArray[i-1][0],OrderArray[i-1][1],OrderArray[i-1][2]);}
		OrderArray[pos] = new Array(num,str,document.getElementById("Flight_item_"+num).innerHTML);}
	}
}